IpNetwork (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.IpNetwork interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface IpNetwork

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface IpNetwork

extends LogicalElement

Object representing L3 IPV4 subnets

Naming Rules:
  0="subnetAddress,netmask" 1="managedSystemName"
Persistable:
  true
Table Name:
  IPNETWORK
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getNetmask()`
`java.lang.String` | `getSubnetAddress()`
`java.lang.String` | `getType()` Type indication.
`boolean` | `hasName()`
`boolean` | `hasNetmask()`
`boolean` | `hasSubnetAddress()`
`boolean` | `hasType()`
`void` | `setName(java.lang.String name)`
`void` | `setNetmask(java.lang.String netmask)`
`void` | `setSubnetAddress(java.lang.String network)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Returns:
    the name of the network Should be classless notation e.g. 10.2.3.0/24
  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getSubnetAddress

    java.lang.String getSubnetAddress()
                                      throws AttributeNotSetException

  Returns:
    the network part e.g. 10.2.3.0
  Throws:
    `AttributeNotSetException`

### setSubnetAddress

    void setSubnetAddress(java.lang.String network)

### hasSubnetAddress

    boolean hasSubnetAddress()

### getNetmask

    java.lang.String getNetmask()
                                throws AttributeNotSetException

  Returns:
    the netmask e.g. 255.255.255.0
  Throws:
    `AttributeNotSetException`

### setNetmask

    void setNetmask(java.lang.String netmask)

### hasNetmask

    boolean hasNetmask()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Type indication. Currently the only legal value is "generated" A value of "generated" means the network has been generated instead of being discovered.

  Returns:
  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD